Bug 1609300 - plasmashell 5.13.3 crashes when changing desktop layout
Summary: plasmashell 5.13.3 crashes when changing desktop layout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-27 13:34 UTC by Sinan H
Modified: 2018-08-03 20:45 UTC (History)
7 users (show)

Fixed In Version: plasma-workspace-5.13.3-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-28 13:46:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Sinan H 2018-07-27 13:34:21 UTC
Hm, now that I've succeeded to update to 5.13.3-3 advisory  FEDORA-2018-6729457bc2 , plasma crashes consistently when trying to change the desktop layout between *folder view* and *desktop*. kwin and latte don't crash though. 

```
org.kde.plasmaquick: Applet preload policy set to 1
file:///usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml:61:28: Unable to assign [undefined] to int
file:///usr/share/plasma/plasmoids/org.kde.desktopcontainment/contents/ui/main.qml:52:27: Unable to assign [undefined] to int
trying to show an empty dialog
org.kde.plasma: requesting config for "Desktop" without a containment!
kf5.kpackage: No metadata file in the package, expected it at: "/mnt/windows/Users/h/Pictures/2017/08/"
kf5.kpackage: No metadata file in the package, expected it at: "/mnt/windows/Users/h/Pictures/2017/08/"
kf5.kpackage: No metadata file in the package, expected it at: "/mnt/windows/Users/h/Pictures/2017/08/"
kf5.kpackage: No metadata file in the package, expected it at: "/mnt/windows/Users/h/Pictures/"
kf5.kpackage: No metadata file in the package, expected it at: "/mnt/windows/Users/h/Pictures/"
kf5.kpackage: No metadata file in the package, expected it at: "/mnt/windows/Users/h/Pictures/"
org.kde.kcoreaddons: KDirWatch: "/mnt/windows/Users/h/Pictures/2017/08" is a directory. Use addDir!
org.kde.kcoreaddons: KDirWatch: "/mnt/windows/Users/h/Pictures" is a directory. Use addDir!
No file found for ".xml" , even though update-mime-info said it would exist.
Either it was just removed, or the directory doesn't have executable permission... ("/home/h/.local/share/mime", "/usr/share/mime")

```

Comment 1 Rex Dieter 2018-07-27 13:37:25 UTC
Unfortunately, I cannot reproduce this (just switched back-n-forth several times successfully).

Ideally we'd need a backtrace to debug this further (or drkonqi or abrt report)

Comment 2 Ed Greshko 2018-07-27 21:27:32 UTC
I was unable to switch from Folder View to Desktop View.  Looking at the comment in https://bodhi.fedoraproject.org/updates/FEDORA-2018-6729457bc2 I installed qqc2-desktop-style and everything seems working now.  Haven't tested much due to the early hour.

Comment 3 Fedora Update System 2018-07-28 02:13:46 UTC
bluedevil-5.13.3-2.fc28 breeze-gtk-5.13.3-2.fc28 grub2-breeze-theme-5.13.3-2.fc28 kactivitymanagerd-5.13.3-2.fc28 kde-cli-tools-5.13.3-2.fc28 kde-gtk-config-5.13.3-2.fc28 kdecoration-5.13.3-2.fc28 kdeplasma-addons-5.13.3-2.fc28 kgamma-5.13.3-2.fc28 khotkeys-5.13.3-2.fc28 kinfocenter-5.13.3-2.fc28 kmenuedit-5.13.3-2.fc28 kscreen-5.13.3-2.fc28 kscreenlocker-5.13.3-2.fc28 ksshaskpass-5.13.3-2.fc28 ksysguard-5.13.3-2.fc28 kwayland-integration-5.13.3-2.fc28 kwin-5.13.3-3.fc28 kwrited-5.13.3-2.fc28 libkscreen-qt5-5.13.3-2.fc28 libksysguard-5.13.3-2.fc28 pam-kwallet-5.13.3-2.fc28 plasma-breeze-5.13.3-2.fc28 plasma-desktop-5.13.3-4.fc28 plasma-discover-5.13.3-3.fc28 plasma-drkonqi-5.13.3-2.fc28 plasma-integration-5.13.3-3.fc28 plasma-milou-5.13.3-2.fc28 plasma-nm-5.13.3-1.fc28 plasma-oxygen-5.13.3-2.fc28 plasma-pa-5.13.3-2.fc28 plasma-sdk-5.13.3-2.fc28 plasma-systemsettings-5.13.3-2.fc28 plasma-user-manager-5.13.3-2.fc28 plasma-vault-5.13.3-2.fc28 plasma-workspace-5.13.3-3.fc28 plasma-workspace-wallpapers-5.13.3-2.fc28 plymouth-kcm-5.13.3-2.fc28 plymouth-theme-breeze-5.13.3-2.fc28 polkit-kde-5.13.3-2.fc28 powerdevil-5.13.3-2.fc28 sddm-kcm-5.13.3-2.fc28 xdg-desktop-portal-kde-5.13.3-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6729457bc2

Comment 4 Fedora Update System 2018-07-28 02:14:59 UTC
bluedevil-5.13.3-2.fc28 breeze-gtk-5.13.3-2.fc28 grub2-breeze-theme-5.13.3-2.fc28 kactivitymanagerd-5.13.3-2.fc28 kde-cli-tools-5.13.3-2.fc28 kde-gtk-config-5.13.3-2.fc28 kdecoration-5.13.3-2.fc28 kdeplasma-addons-5.13.3-2.fc28 kgamma-5.13.3-2.fc28 khotkeys-5.13.3-2.fc28 kinfocenter-5.13.3-2.fc28 kmenuedit-5.13.3-2.fc28 kscreen-5.13.3-2.fc28 kscreenlocker-5.13.3-2.fc28 ksshaskpass-5.13.3-2.fc28 ksysguard-5.13.3-2.fc28 kwayland-integration-5.13.3-2.fc28 kwin-5.13.3-3.fc28 kwrited-5.13.3-2.fc28 libkscreen-qt5-5.13.3-2.fc28 libksysguard-5.13.3-2.fc28 pam-kwallet-5.13.3-2.fc28 plasma-breeze-5.13.3-2.fc28 plasma-desktop-5.13.3-4.fc28 plasma-discover-5.13.3-3.fc28 plasma-drkonqi-5.13.3-2.fc28 plasma-integration-5.13.3-3.fc28 plasma-milou-5.13.3-2.fc28 plasma-nm-5.13.3-1.fc28 plasma-oxygen-5.13.3-2.fc28 plasma-pa-5.13.3-2.fc28 plasma-sdk-5.13.3-2.fc28 plasma-systemsettings-5.13.3-2.fc28 plasma-user-manager-5.13.3-2.fc28 plasma-vault-5.13.3-2.fc28 plasma-workspace-5.13.3-3.fc28 plasma-workspace-wallpapers-5.13.3-2.fc28 plymouth-kcm-5.13.3-2.fc28 plymouth-theme-breeze-5.13.3-2.fc28 polkit-kde-5.13.3-2.fc28 powerdevil-5.13.3-2.fc28 sddm-kcm-5.13.3-2.fc28 xdg-desktop-portal-kde-5.13.3-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6729457bc2

Comment 5 Sinan H 2018-07-28 13:46:00 UTC
fixed with Require qqc2-desktop-style

Comment 6 Fedora Update System 2018-07-29 03:34:39 UTC
bluedevil-5.13.3-2.fc28, breeze-gtk-5.13.3-2.fc28, grub2-breeze-theme-5.13.3-2.fc28, kactivitymanagerd-5.13.3-2.fc28, kde-cli-tools-5.13.3-2.fc28, kde-gtk-config-5.13.3-2.fc28, kdecoration-5.13.3-2.fc28, kdeplasma-addons-5.13.3-2.fc28, kgamma-5.13.3-2.fc28, khotkeys-5.13.3-2.fc28, kinfocenter-5.13.3-2.fc28, kmenuedit-5.13.3-2.fc28, kscreen-5.13.3-2.fc28, kscreenlocker-5.13.3-2.fc28, ksshaskpass-5.13.3-2.fc28, ksysguard-5.13.3-2.fc28, kwayland-integration-5.13.3-2.fc28, kwin-5.13.3-3.fc28, kwrited-5.13.3-2.fc28, libkscreen-qt5-5.13.3-2.fc28, libksysguard-5.13.3-2.fc28, pam-kwallet-5.13.3-2.fc28, plasma-breeze-5.13.3-2.fc28, plasma-desktop-5.13.3-4.fc28, plasma-discover-5.13.3-3.fc28, plasma-drkonqi-5.13.3-2.fc28, plasma-integration-5.13.3-3.fc28, plasma-milou-5.13.3-2.fc28, plasma-nm-5.13.3-1.fc28, plasma-oxygen-5.13.3-2.fc28, plasma-pa-5.13.3-2.fc28, plasma-sdk-5.13.3-2.fc28, plasma-systemsettings-5.13.3-2.fc28, plasma-user-manager-5.13.3-2.fc28, plasma-vault-5.13.3-2.fc28, plasma-workspace-5.13.3-3.fc28, plasma-workspace-wallpapers-5.13.3-2.fc28, plymouth-kcm-5.13.3-2.fc28, plymouth-theme-breeze-5.13.3-2.fc28, polkit-kde-5.13.3-2.fc28, powerdevil-5.13.3-2.fc28, sddm-kcm-5.13.3-2.fc28, xdg-desktop-portal-kde-5.13.3-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6729457bc2

Comment 7 Fedora Update System 2018-08-03 20:45:23 UTC
bluedevil-5.13.3-2.fc28, breeze-gtk-5.13.3-2.fc28, grub2-breeze-theme-5.13.3-2.fc28, kactivitymanagerd-5.13.3-2.fc28, kde-cli-tools-5.13.3-2.fc28, kde-gtk-config-5.13.3-2.fc28, kdecoration-5.13.3-2.fc28, kdeplasma-addons-5.13.3-2.fc28, kgamma-5.13.3-2.fc28, khotkeys-5.13.3-2.fc28, kinfocenter-5.13.3-2.fc28, kmenuedit-5.13.3-2.fc28, kscreen-5.13.3-2.fc28, kscreenlocker-5.13.3-2.fc28, ksshaskpass-5.13.3-2.fc28, ksysguard-5.13.3-2.fc28, kwayland-integration-5.13.3-2.fc28, kwin-5.13.3-3.fc28, kwrited-5.13.3-2.fc28, libkscreen-qt5-5.13.3-2.fc28, libksysguard-5.13.3-2.fc28, pam-kwallet-5.13.3-2.fc28, plasma-breeze-5.13.3-2.fc28, plasma-desktop-5.13.3-4.fc28, plasma-discover-5.13.3-3.fc28, plasma-drkonqi-5.13.3-2.fc28, plasma-integration-5.13.3-3.fc28, plasma-milou-5.13.3-2.fc28, plasma-nm-5.13.3-1.fc28, plasma-oxygen-5.13.3-2.fc28, plasma-pa-5.13.3-2.fc28, plasma-sdk-5.13.3-2.fc28, plasma-systemsettings-5.13.3-2.fc28, plasma-user-manager-5.13.3-2.fc28, plasma-vault-5.13.3-2.fc28, plasma-workspace-5.13.3-3.fc28, plasma-workspace-wallpapers-5.13.3-2.fc28, plymouth-kcm-5.13.3-2.fc28, plymouth-theme-breeze-5.13.3-2.fc28, polkit-kde-5.13.3-2.fc28, powerdevil-5.13.3-2.fc28, sddm-kcm-5.13.3-2.fc28, xdg-desktop-portal-kde-5.13.3-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.